=== bear-engine/core/CMakeLists.txt ===
subdirs(src)
