=== bear-engine/desktop/CMakeLists.txt ===
subdirs(
  man
  locale
  )
