=== bear-engine/lib/CMakeLists.txt ===
subdirs(src)
