=== bear-factory/tool/CMakeLists.txt ===
subdirs(
  image-cutter
  )
