=== plee-the-bear/data/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

install(
  DIRECTORY "animation" "font" "gfx" "level" "mini-game" "model"
  "music" "script" "sound"
  DESTINATION ${PTB_INSTALL_DATA_DIR}
  FILE_PERMISSIONS OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ
  DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  PATTERN ".svn" EXCLUDE
  PATTERN "*~" EXCLUDE
  PATTERN "*!*" EXCLUDE
  PATTERN "*xcf*" EXCLUDE
  PATTERN "*.rg" EXCLUDE
  PATTERN "*.tg" EXCLUDE
  PATTERN "*.mdl" EXCLUDE
  PATTERN "*.anim" EXCLUDE
  PATTERN "*.lvl" EXCLUDE
  PATTERN "*.mid" EXCLUDE
  PATTERN "*.scm" EXCLUDE
  PATTERN "*.flac" EXCLUDE
  PATTERN "*.gz" EXCLUDE
  PATTERN "*.bz2" EXCLUDE
  PATTERN "README" EXCLUDE
)

install(
  FILES credits.txt
  DESTINATION ${PTB_INSTALL_DATA_DIR}
  PERMISSIONS OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ
)
