=== debian/changelog ===
plee-the-bear (0.6.0-7build4) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:03:09 +0100

plee-the-bear (0.6.0-7build3) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:10:31 +0100

plee-the-bear (0.6.0-7build2) groovy; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 19:24:39 +0000

plee-the-bear (0.6.0-7build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:45:01 +0100

plee-the-bear (0.6.0-7) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Mark -data package as Multi-Arch: foreign

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Fix FTBFS with Boost 1.71.
    Thanks to Giovanni Mascellani for the patch. (Closes: #953871)
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    Thanks to Helmut Grohne for the patch. (Closes: #918038)

 -- Markus Koschany <apo@debian.org>  Fri, 05 Jun 2020 01:39:41 +0200

plee-the-bear (0.6.0-6) unstable; urgency=medium

  * Team upload.
  * Call executables by absolute path in .desktop files instead of making the
    desktop environment consolt the PATH environment variable. Added
    absolute-path-in-desktop-file.patch.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 10 Aug 2019 05:48:24 +0200

plee-the-bear (0.6.0-5) unstable; urgency=medium

  * Team upload.
  * Build package against GTK 3 variant of wxWidget. Replaced build dependency
    libwxgtk3.0-dev by libwxgtk3.0-gtk3-dev. (Closes: #933443)
  * Clean up debian/control:
    * Change priority from extra to optional.
    * Reflect migration to salsa.debian.org in Vcs-fields.
  * Clean up lintian warnings: Removed unused patches.
  * Switch from debian/compat to build depends debhelper-compat (= 12).
  * Declare conformance with standards version 4.4.0.

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 09 Aug 2019 16:07:02 +0200

plee-the-bear (0.6.0-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.1.
  * Vcs-Browser: Use https.
  * Rebuild plee-the-bear with GCC 7. (Closes: #853618, #793274)
  * Replace dh_clean -k with dh_prep.

 -- Markus Koschany <apo@debian.org>  Fri, 18 Aug 2017 18:27:03 +0200

plee-the-bear (0.6.0-3.1) unstable; urgency=low

  * Non-maintainer upload at maitainer's request.
  * Update to use wxWidgets 3.0 (new patch wx3.0-compat.patch)
    (Closes: #750087)

 -- Olly Betts <olly@survex.com>  Fri, 25 Jul 2014 10:58:41 +1200

plee-the-bear (0.6.0-3) unstable; urgency=medium

  * Build on all archs; do not restrict Architecture in d/control.
    (Closes: #736537)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 24 Jan 2014 12:57:10 -0800

plee-the-bear (0.6.0-2) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Gonéri Le Bouder ]
  * import patches by Julien Jorge to fix a FTBFS  with the current
    Boost.FileSystem (closes: #720819)
  * Add myself in Uploaders
  * Indent the B-D

  [ Julien Jorge ]
  * Add mipsn32el mips64 mips64el in the architecures (closes: #726176)
  * Add a patch to use the full path to the icon in the menu files
    (closes: #726853)

  [ Vincent Cheng ]
  * Refresh patches.
  * Update to Standards version 3.9.5.
  * Update to source format "3.0 (quilt)".

 -- Vincent Cheng <vcheng@debian.org>  Thu, 23 Jan 2014 13:20:52 -0800

plee-the-bear (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Remove patches integrated upstream: boost-1.46.diff,
    compile-with-g++4.6.diff, use-findpackage-for-libclaw.diff.

 -- Julien Jorge <julien.jorge@gamned.org>  Sat, 27 Aug 2011 19:25:18 +0200

plee-the-bear (0.5.1-2) unstable; urgency=low

  * Use the findpackage command to find libclaw, according to the new
    installation path of the CMake module of the library.
  * Compiles with g++ 4.6.
  * Fix FTBFS with Boost 1.46. Thanks to Konstantinos Margaritis.
    (Closes: #627253).
  * Bump standard version to 3.9.2.

 -- Julien Jorge <julien.jorge@gamned.org>  Sun, 21 Aug 2011 18:07:35 +0200

plee-the-bear (0.5.1-1) unstable; urgency=low

  [ Julien Jorge ]
  * New upstream release (Closes: #565062, #546514).
  * Add armhf architecture (Closes: #604689).
  * Remove patches integrated upstream: rpath-editors.diff, rpath-game.diff,
    editors-menu-section.diff.
  * Bump the Standard-Version, no changes.
  * Update my email address.
  * Set build dependency of libclaw to 1.6.0.
  * Add the missing ${misc:Depends} in debian/control.
  * List gettext translations in bear-factory.install and plee-the-bear.install.

 -- Julien Jorge <julien.jorge@gamned.org>  Wed, 17 Nov 2010 20:13:34 +0200

plee-the-bear (0.4.1-3) unstable; urgency=low

  [ Julien Jorge ]
  * Remove the 'Section' line in the control file for bear-factory.
    Thanks Ben Finney (Closes: #550224).
  * Install the binaries of the editors in /usr/games/
  * Add a patch to change section in menu files of the editors from
    Apps/Editors to Games/Tools.
  * Bug fix in patch editors-default-dir.diff to effectively set the
    default paths.

 -- Julien Jorge <julien_jorge@yahoo.fr>  Thu, 08 Oct 2009 16:27:44 +0200

plee-the-bear (0.4.1-2) unstable; urgency=low

  [ Julien Jorge ]
  * Add wx2.6-headers in Build-Conflicts
  * Remove \n in the Architecture line.
    Thanks Cyril Brulebois (Closes: #545913).

 -- Julien Jorge <julien_jorge@yahoo.fr>  Thu, 10 Sep 2009 11:12:28 +0200

plee-the-bear (0.4.1-1) unstable; urgency=low

  [ Julien Jorge ]
  * New upstream release (Closes: #543328, #545603)
  * Remove the patch clear-selection-checks-layer.diff, fixed upstream.

