=== debian/control ===
Source: plee-the-bear
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Julien Jorge <julien.jorge@gamned.org>,
 Barry deFreese <bdefreese@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper-compat (= 13),
 docbook-to-man,
 cmake (>= 2.8),
 libsdl-mixer1.2-dev (>= 1.2.8),
 libboost-filesystem-dev (>= 1.45),
 libboost-regex-dev (>= 1.45),
 libboost-thread-dev (>= 1.45),
 mesa-common-dev (>= 6.5),
 libclaw-dev (>= 1.7.0),
 libclaw-graphic-dev (>= 1.7.0),
 libclaw-logger-dev (>= 1.7.0),
 libclaw-application-dev (>= 1.7.0),
 libclaw-dynamic-library-dev (>= 1.7.0),
 libclaw-configuration-file-dev (>= 1.7.0),
 libclaw-net-dev (>= 1.7.0),
 libclaw-tween-dev (>= 1.7.0),
 libwxgtk3.0-gtk3-dev,
 gettext (>= 0.17)
Standards-Version: 4.5.0
Homepage: http://plee-the-bear.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/plee-the-bear.git
Vcs-Browser: https://salsa.debian.org/games-team/plee-the-bear/

Package: plee-the-bear
Architecture: any
Depends: ${shlibs:Depends}, plee-the-bear-data (= ${source:Version}),
 ${misc:Depends}
Description: 2D platform game
 Plee the Bear will be a 2D platform game like those found on consoles in
 the beginning of the 90's. The basis of the scenario fit in few lines:
 .
 4 PM or so, Plee wakes up, tired. He has dreamed again about that awesome
 period when he went across the entire world together with his belle. He puts
 his leg in the honey pot... empty! Moreover every single honey pot in the
 house is empty. "One more trick of that kid", he thinks. "I'm going to give
 him such a wallop of which he sure will remember".
 .
 Following honey drops on the ground, Plee reaches the edge of the forest.
 Beginning of the game.
 .
 The current version is a demo.

Package: plee-the-bear-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: plee-the-bear
Description: data for Plee the Bear
 Plee the Bear will be a 2D platform game like those found on consoles in
 the beginning of the 90's. The basis of the scenario fit in few lines:
 .
 4 PM or so, Plee wakes up, tired. He has dreamed again about that awesome
 period when he went across the entire world together with his belle. He puts
 his leg in the honey pot... empty! Moreover every single honey pot in the
 house is empty. "One more trick of that kid", he thinks. "I'm going to give
 him such a wallop of which he sure will remember".
 .
 This package includes the data files for the game.

Package: bear-factory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Editors for Plee the Bear
 This package includes the level editor, animation editor and model editor of
 the Bear Engine for Plee the Bear.
