=== debian/watch ===
version=3
http://sf.net/plee-the-bear/plee-the-bear-(0.[\d.]+)\.tar\.gz
